Namespace
library
Image / Tag
consul:1.7.7
Content Digest
sha256:777c1135b1c6eb7a31d05f537f162965f1c6c8d212a4fb7599c6c0ec2db4242d
Details
Created

2020-08-12 22:38:42 UTC

Size

40.4 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>

Environment
CONSUL_VERSION

1.7.7

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:0625b4155e2a59f647ece47c0cd77ed3196b1f84454fa64ce80cad90e2b9b79e - 6.58% (2.66 MB)

[#001] sha256:414d48df1939665f473bd635ef9e09dd4940c699f59f941ef608fa6e4879e5cd - 0.0% (1.2 KB)

[#002] sha256:7da52655faaef1c03bd8e30404f938e4b84f3e4acf8960b53101f4504a645f45 - 93.41% (37.8 MB)

[#003] sha256:881c12b8ecb31e4a696fcd08383e1176eaecaa226be86360abd9e45f0b4a4f6c - 0.0% (142 Bytes)

[#004] sha256:b590f8503b1e6700851dcfdebaf157c5bf237771f058afd73bbc2b354017764b - 0.0% (153 Bytes)

[#005] sha256:dc333115398234081062622a9384b76933a24749c673dee37ebc7e0d62747d63 - 0.0% (1.67 KB)


History
2020-05-29 21:38:33 UTC

/bin/sh -c #(nop) ADD file:5624441d97aca5eeb82a582941efc3586397098b8391227a9040ebe434cc1d6b in /

2020-05-29 21:38:33 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-07-31 17:38:31 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2020-08-12 22:38:33 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.7.7

2020-08-12 22:38:34 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-08-12 22:38:34 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-08-12 22:38:39 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-08-12 22:38:40 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-08-12 22:38:41 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-08-12 22:38:41 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-08-12 22:38:41 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-08-12 22:38:42 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-08-12 22:38:42 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-08-12 22:38:42 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2020-08-12 22:38:42 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-08-12 22:38:42 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2020-08-12 23:19:45 UTC

Size

41.6 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>

Environment
CONSUL_VERSION

1.7.7

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:df20fa9351a15782c64e6dddb2d4a6f50bf6d3688060a34c4014b0d9a752eb4c - 6.41% (2.67 MB)

[#001] sha256:82536e679949e1ae83aaddc7d54e09ad6fdfd59d3b16c934c8dad419266d8f61 - 0.0% (1.2 KB)

[#002] sha256:51d0e794c78f5c3fd0337b4abed3a1940d9340e6bf1f3cdbcd76c1878149c7f2 - 93.58% (38.9 MB)

[#003] sha256:d439c5eb4ab1a9df89a94b902058e921a5ba1119446526d98313f918fb966dcb - 0.0% (143 Bytes)

[#004] sha256:f593bfcc55903cf12a6342d6249eb603de1cb27e74d486f2806a3c51d9680ef2 - 0.0% (155 Bytes)

[#005] sha256:dbaee936ad1b0b84be1c74e0129dd757c5e14696ee32ccafa0d158ad4b9286cf - 0.0% (1.67 KB)


History
2020-05-29 21:19:46 UTC

/bin/sh -c #(nop) ADD file:c92c248239f8c7b9b3c067650954815f391b7bcb09023f984972c082ace2a8d0 in /

2020-05-29 21:19:46 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-07-31 18:22:03 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2020-08-12 23:19:37 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.7.7

2020-08-12 23:19:37 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-08-12 23:19:38 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-08-12 23:19:42 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-08-12 23:19:43 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-08-12 23:19:43 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-08-12 23:19:44 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-08-12 23:19:44 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-08-12 23:19:44 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-08-12 23:19:44 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-08-12 23:19:44 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2020-08-12 23:19:44 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-08-12 23:19:45 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2020-08-12 22:50:09 UTC

Size

37.5 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>

Environment
CONSUL_VERSION

1.7.7

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:b4b72e716706d29f5d2351709c20bf737b94f876a5472a43ff1b6e203c65d27f - 6.62% (2.48 MB)

[#001] sha256:84cc697d7efd2fc15a138c93768285e8416eeb0be463d88891677e86e549c613 - 0.0% (1.23 KB)

[#002] sha256:25234f406059744545e8b7bf05dda97939650a9b668bb27524f9b3786e214040 - 93.37% (35 MB)

[#003] sha256:d0d6514922da8224665d7946b52b5c1c69f43bfbfb575eeb8d507d38f99b0355 - 0.0% (174 Bytes)

[#004] sha256:c6a38eb3340d8348487cfa8abb7bb81754ce4d7f43bfc38a279b258b9e86d98a - 0.0% (154 Bytes)

[#005] sha256:81812f53a72c10e4dcf36626a20c09078c1cb6213d4ec3c544af17a1f8718813 - 0.0% (1.67 KB)


History
2020-05-29 21:50:55 UTC

/bin/sh -c #(nop) ADD file:f46e997a56849423db17e5fc9f0249ab6c73b155245927dba5fcb9dfd65f622f in /

2020-05-29 21:50:56 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-07-31 17:49:28 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2020-08-12 22:49:51 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.7.7

2020-08-12 22:49:51 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-08-12 22:49:53 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-08-12 22:50:01 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-08-12 22:50:03 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-08-12 22:50:05 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-08-12 22:50:05 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-08-12 22:50:06 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-08-12 22:50:07 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-08-12 22:50:07 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-08-12 22:50:08 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2020-08-12 22:50:09 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-08-12 22:50:09 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2020-08-12 22:40:19 UTC

Size

37.7 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>

Environment
CONSUL_VERSION

1.7.7

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:b538f80385f9b48122e3da068c932a96ea5018afa3c7be79da00437414bd18cd - 6.86% (2.58 MB)

[#001] sha256:82309a3254a88c6b40cdfe5da6d458a6a06822a06932c1374a6bced31886df59 - 0.0% (1.23 KB)

[#002] sha256:b27475b0bc4e7292bbc75e38375d039ee8f635a994e921c08126392b6aaf2777 - 93.13% (35.1 MB)

[#003] sha256:9ca1c13f2ece1c29eedf05c7803493867d5c09276ae54dcf65072a148c394767 - 0.0% (174 Bytes)

[#004] sha256:39aab6f115119612ed11566663ead5b6da7ad645fb2a4491aa36575c85561c4d - 0.0% (154 Bytes)

[#005] sha256:15d169ff28398649a004f688e9b4a8822569d231816a34d870cbacbe049cb18e - 0.0% (1.67 KB)


History
2020-05-29 21:43:19 UTC

/bin/sh -c #(nop) ADD file:7574aee4e37a85460ab889212d52912723a9b30dda1c060548f0deb4a05fc398 in /

2020-05-29 21:43:20 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-07-31 17:42:27 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2020-08-12 22:40:01 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.7.7

2020-08-12 22:40:02 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-08-12 22:40:04 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-08-12 22:40:11 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-08-12 22:40:13 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-08-12 22:40:14 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-08-12 22:40:15 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-08-12 22:40:16 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-08-12 22:40:16 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-08-12 22:40:17 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-08-12 22:40:18 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2020-08-12 22:40:19 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-08-12 22:40:19 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]